Bug 437625 - Key stored in keyring not recognized unable to connect to wpa-pks
Summary: Key stored in keyring not recognized unable to connect to wpa-pks
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 8
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-15 11:51 UTC by Marc Geerlings
Modified: 2009-01-09 06:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:11:33 UTC


Attachments (Terms of Use)

Description Marc Geerlings 2008-03-15 11:51:57 UTC
Description of problem:
Since a update of networkmanager to 0.7.0 NetworkManager refuses to connect to
my wpa-pks enabled router. I've solved the problem by analyzing the contents of
.xsession-errors which stated:
** Message: <info>  New secrets for Auto Serenity/802-11-wireless-security reque
sted; ask the user
I looked in the keyring and the key was named:
Network secret for Auto Serenity/802-11-wireless-security/psk
If I remove the "/psk" from the name of the key NetworkManager connects to the
router. Removing the key doesn't solve the problem.

Version-Release number of selected component (if applicable):
0.7.0

How reproducible:
Always

Comment 1 Dan Williams 2008-03-31 16:38:31 UTC
Which specific version of NetworkManager do you have installed?

rpm -q NetworkManager

should tell you.  Thanks!

Comment 2 Marc Geerlings 2008-03-31 19:44:03 UTC
NetworkManager-0.7.0-0.6.7.svn3235.fc8

Comment 3 Bug Zapper 2008-11-26 10:09:44 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-01-09 06:11:33 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.